Fix building.
[ardour.git] / libs / glibmm2 / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 pkgdatadir = $(datadir)/@PACKAGE@
18 pkglibdir = $(libdir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 build_triplet = @build@
33 host_triplet = @host@
34 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
35         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
36         $(top_srcdir)/configure \
37         $(top_srcdir)/docs/Makefile_web.am_fragment AUTHORS COPYING \
38         ChangeLog INSTALL NEWS
39 subdir = .
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/scripts/c_std.m4 \
42         $(top_srcdir)/scripts/cxx.m4 $(top_srcdir)/scripts/cxx_std.m4 \
43         $(top_srcdir)/scripts/docgen.m4 \
44         $(top_srcdir)/scripts/glibmm_check_perl.m4 \
45         $(top_srcdir)/scripts/macros.m4 \
46         $(top_srcdir)/scripts/reduced.m4 $(top_srcdir)/scripts/sun.m4 \
47         $(top_srcdir)/configure.in
48 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
49         $(ACLOCAL_M4)
50 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
51  configure.lineno config.status.lineno
52 mkinstalldirs = $(install_sh) -d
53 CONFIG_HEADER = config.h $(top_builddir)/glib/glibmmconfig.h
54 CONFIG_CLEAN_FILES =
55 SOURCES =
56 DIST_SOURCES =
57 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
58         html-recursive info-recursive install-data-recursive \
59         install-dvi-recursive install-exec-recursive \
60         install-html-recursive install-info-recursive \
61         install-pdf-recursive install-ps-recursive install-recursive \
62         installcheck-recursive installdirs-recursive pdf-recursive \
63         ps-recursive uninstall-recursive
64 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
65   distclean-recursive maintainer-clean-recursive
66 ETAGS = etags
67 CTAGS = ctags
68 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
69 distdir = $(PACKAGE)-$(VERSION)
70 top_distdir = $(distdir)
71 am__remove_distdir = \
72   { test ! -d $(distdir) \
73     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
74          && rm -fr $(distdir); }; }
75 DIST_ARCHIVES = $(distdir).tar.gz
76 GZIP_ENV = --best
77 distuninstallcheck_listfiles = find . -type f -print
78 distcleancheck_listfiles = find . -type f -print
79 ACLOCAL = @ACLOCAL@
80 AMTAR = @AMTAR@
81 AR = @AR@
82 AS = @AS@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 CC = @CC@
88 CCDEPMODE = @CCDEPMODE@
89 CFLAGS = @CFLAGS@
90 CPP = @CPP@
91 CPPFLAGS = @CPPFLAGS@
92 CXX = @CXX@
93 CXXCPP = @CXXCPP@
94 CXXDEPMODE = @CXXDEPMODE@
95 CXXFLAGS = @CXXFLAGS@
96 CYGPATH_W = @CYGPATH_W@
97 DEFS = @DEFS@
98 DEPDIR = @DEPDIR@
99 DISABLE_DEPRECATED_API_CFLAGS = @DISABLE_DEPRECATED_API_CFLAGS@
100 DISABLE_DEPRECATED_CFLAGS = @DISABLE_DEPRECATED_CFLAGS@
101 DLLTOOL = @DLLTOOL@
102 ECHO = @ECHO@
103 ECHO_C = @ECHO_C@
104 ECHO_N = @ECHO_N@
105 ECHO_T = @ECHO_T@
106 EGREP = @EGREP@
107 EXEEXT = @EXEEXT@
108 F77 = @F77@
109 FFLAGS = @FFLAGS@
110 GLIBMM_CFLAGS = @GLIBMM_CFLAGS@
111 GLIBMM_LIBS = @GLIBMM_LIBS@
112 GLIBMM_MAJOR_VERSION = @GLIBMM_MAJOR_VERSION@
113 GLIBMM_MICRO_VERSION = @GLIBMM_MICRO_VERSION@
114 GLIBMM_MINOR_VERSION = @GLIBMM_MINOR_VERSION@
115 GLIBMM_RELEASE = @GLIBMM_RELEASE@
116 GLIBMM_VERSION = @GLIBMM_VERSION@
117 GREP = @GREP@
118 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
119 GTHREAD_LIBS = @GTHREAD_LIBS@
120 GTKMMPROC_MERGECDOCS = @GTKMMPROC_MERGECDOCS@
121 GTKMM_DOXYGEN_INPUT = @GTKMM_DOXYGEN_INPUT@
122 INSTALL = @INSTALL@
123 INSTALL_DATA = @INSTALL_DATA@
124 INSTALL_PROGRAM = @INSTALL_PROGRAM@
125 INSTALL_SCRIPT = @INSTALL_SCRIPT@
126 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
127 LDFLAGS = @LDFLAGS@
128 LIBGLIBMM_SO_VERSION = @LIBGLIBMM_SO_VERSION@
129 LIBOBJS = @LIBOBJS@
130 LIBS = @LIBS@
131 LIBTOOL = @LIBTOOL@
132 LN_S = @LN_S@
133 LTLIBOBJS = @LTLIBOBJS@
134 M4 = @M4@
135 MAINT = @MAINT@
136 MAKEINFO = @MAKEINFO@
137 MKDIR_P = @MKDIR_P@
138 OBJDUMP = @OBJDUMP@
139 OBJEXT = @OBJEXT@
140 PACKAGE = @PACKAGE@
141 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
142 PACKAGE_NAME = @PACKAGE_NAME@
143 PACKAGE_STRING = @PACKAGE_STRING@
144 PACKAGE_TARNAME = @PACKAGE_TARNAME@
145 PACKAGE_VERSION = @PACKAGE_VERSION@
146 PATH_SEPARATOR = @PATH_SEPARATOR@
147 PERL_PATH = @PERL_PATH@
148 PKG_CONFIG = @PKG_CONFIG@
149 RANLIB = @RANLIB@
150 SET_MAKE = @SET_MAKE@
151 SHELL = @SHELL@
152 STRIP = @STRIP@
153 VERSION = @VERSION@
154 abs_builddir = @abs_builddir@
155 abs_srcdir = @abs_srcdir@
156 abs_top_builddir = @abs_top_builddir@
157 abs_top_srcdir = @abs_top_srcdir@
158 ac_ct_CC = @ac_ct_CC@
159 ac_ct_CXX = @ac_ct_CXX@
160 ac_ct_F77 = @ac_ct_F77@
161 am__include = @am__include@
162 am__leading_dot = @am__leading_dot@
163 am__quote = @am__quote@
164 am__tar = @am__tar@
165 am__untar = @am__untar@
166 bindir = @bindir@
167 build = @build@
168 build_alias = @build_alias@
169 build_cpu = @build_cpu@
170 build_os = @build_os@
171 build_vendor = @build_vendor@
172 builddir = @builddir@
173 datadir = @datadir@
174 datarootdir = @datarootdir@
175 docdir = @docdir@
176 dvidir = @dvidir@
177 exec_prefix = @exec_prefix@
178 host = @host@
179 host_alias = @host_alias@
180 host_cpu = @host_cpu@
181 host_os = @host_os@
182 host_vendor = @host_vendor@
183 htmldir = @htmldir@
184 includedir = @includedir@
185 infodir = @infodir@
186 install_sh = @install_sh@
187 libdir = @libdir@
188 libexecdir = @libexecdir@
189 localedir = @localedir@
190 localstatedir = @localstatedir@
191 mandir = @mandir@
192 mkdir_p = @mkdir_p@
193 oldincludedir = @oldincludedir@
194 pdfdir = @pdfdir@
195 prefix = @prefix@
196 program_transform_name = @program_transform_name@
197 psdir = @psdir@
198 sbindir = @sbindir@
199 sharedstatedir = @sharedstatedir@
200 srcdir = @srcdir@
201 sysconfdir = @sysconfdir@
202 target_alias = @target_alias@
203 top_builddir = @top_builddir@
204 top_srcdir = @top_srcdir@
205 ACLOCAL_AMFLAGS = -I scripts
206 SUBDIRS = tools glib examples docs scripts tests MSVC_Net2003
207 DIST_SUBDIRS = $(SUBDIRS)
208 EXTRA_DIST = build_shared/Makefile_build.am_fragment \
209                   build_shared/Makefile_build_gensrc.am_fragment \
210                   build_shared/Makefile_gensrc.am_fragment \
211                   build_shared/Makefile_gensrc_platform.am_fragment \
212                   build_shared/Makefile_build_extra.am_fragment \
213                   CHANGES README.win32
214
215 web_host = gtkmm.org
216 web_path_gtkmm = /home/murrayc/gtkmm.org/docs/glibmm-2.4/
217 #web_path_gtkmm = /home/groups/g/gt/gtkmm/htdocs/docs/glibmm-2.4/
218 web_path_docs = $(web_path_gtkmm)docs/
219 rsync_args = -vz --rsh ssh
220 gtkmm_docdir = $(datadir)/doc/glibmm-2.4/docs
221 doc_tarball_files = \
222         docs/images/*.gif \
223         docs/internal/*.txt docs/internal/*.dia docs/reference/html
224
225 all: config.h
226         $(MAKE) $(AM_MAKEFLAGS) all-recursive
227
228 .SUFFIXES:
229 am--refresh:
230         @:
231 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/docs/Makefile_web.am_fragment $(am__configure_deps)
232         @for dep in $?; do \
233           case '$(am__configure_deps)' in \
234             *$$dep*) \
235               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
236               cd $(srcdir) && $(AUTOMAKE) --gnu  \
237                 && exit 0; \
238               exit 1;; \
239           esac; \
240         done; \
241         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
242         cd $(top_srcdir) && \
243           $(AUTOMAKE) --gnu  Makefile
244 .PRECIOUS: Makefile
245 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
246         @case '$?' in \
247           *config.status*) \
248             echo ' $(SHELL) ./config.status'; \
249             $(SHELL) ./config.status;; \
250           *) \
251             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
252             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
253         esac;
254
255 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
256         $(SHELL) ./config.status --recheck
257
258 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
259         cd $(srcdir) && $(AUTOCONF)
260 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
261         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
262
263 config.h: stamp-h1
264         @if test ! -f $@; then \
265           rm -f stamp-h1; \
266           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
267         else :; fi
268
269 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
270         @rm -f stamp-h1
271         cd $(top_builddir) && $(SHELL) ./config.status config.h
272 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
273         cd $(top_srcdir) && $(AUTOHEADER)
274         rm -f stamp-h1
275         touch $@
276
277 distclean-hdr:
278         -rm -f config.h stamp-h1
279
280 mostlyclean-libtool:
281         -rm -f *.lo
282
283 clean-libtool:
284         -rm -rf .libs _libs
285
286 distclean-libtool:
287         -rm -f libtool
288
289 # This directory's subdirectories are mostly independent; you can cd
290 # into them and run `make' without going through this Makefile.
291 # To change the values of `make' variables: instead of editing Makefiles,
292 # (1) if the variable is set in `config.status', edit `config.status'
293 #     (which will cause the Makefiles to be regenerated when you run `make');
294 # (2) otherwise, pass the desired values on the `make' command line.
295 $(RECURSIVE_TARGETS):
296         @failcom='exit 1'; \
297         for f in x $$MAKEFLAGS; do \
298           case $$f in \
299             *=* | --[!k]*);; \
300             *k*) failcom='fail=yes';; \
301           esac; \
302         done; \
303         dot_seen=no; \
304         target=`echo $@ | sed s/-recursive//`; \
305         list='$(SUBDIRS)'; for subdir in $$list; do \
306           echo "Making $$target in $$subdir"; \
307           if test "$$subdir" = "."; then \
308             dot_seen=yes; \
309             local_target="$$target-am"; \
310           else \
311             local_target="$$target"; \
312           fi; \
313           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
314           || eval $$failcom; \
315         done; \
316         if test "$$dot_seen" = "no"; then \
317           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
318         fi; test -z "$$fail"
319
320 $(RECURSIVE_CLEAN_TARGETS):
321         @failcom='exit 1'; \
322         for f in x $$MAKEFLAGS; do \
323           case $$f in \
324             *=* | --[!k]*);; \
325             *k*) failcom='fail=yes';; \
326           esac; \
327         done; \
328         dot_seen=no; \
329         case "$@" in \
330           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
331           *) list='$(SUBDIRS)' ;; \
332         esac; \
333         rev=''; for subdir in $$list; do \
334           if test "$$subdir" = "."; then :; else \
335             rev="$$subdir $$rev"; \
336           fi; \
337         done; \
338         rev="$$rev ."; \
339         target=`echo $@ | sed s/-recursive//`; \
340         for subdir in $$rev; do \
341           echo "Making $$target in $$subdir"; \
342           if test "$$subdir" = "."; then \
343             local_target="$$target-am"; \
344           else \
345             local_target="$$target"; \
346           fi; \
347           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
348           || eval $$failcom; \
349         done && test -z "$$fail"
350 tags-recursive:
351         list='$(SUBDIRS)'; for subdir in $$list; do \
352           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
353         done
354 ctags-recursive:
355         list='$(SUBDIRS)'; for subdir in $$list; do \
356           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
357         done
358
359 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
360         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
361         unique=`for i in $$list; do \
362             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
363           done | \
364           $(AWK) '    { files[$$0] = 1; } \
365                END { for (i in files) print i; }'`; \
366         mkid -fID $$unique
367 tags: TAGS
368
369 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
370                 $(TAGS_FILES) $(LISP)
371         tags=; \
372         here=`pwd`; \
373         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
374           include_option=--etags-include; \
375           empty_fix=.; \
376         else \
377           include_option=--include; \
378           empty_fix=; \
379         fi; \
380         list='$(SUBDIRS)'; for subdir in $$list; do \
381           if test "$$subdir" = .; then :; else \
382             test ! -f $$subdir/TAGS || \
383               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
384           fi; \
385         done; \
386         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
387         unique=`for i in $$list; do \
388             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
389           done | \
390           $(AWK) '    { files[$$0] = 1; } \
391                END { for (i in files) print i; }'`; \
392         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
393           test -n "$$unique" || unique=$$empty_fix; \
394           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
395             $$tags $$unique; \
396         fi
397 ctags: CTAGS
398 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
399                 $(TAGS_FILES) $(LISP)
400         tags=; \
401         here=`pwd`; \
402         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
403         unique=`for i in $$list; do \
404             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
405           done | \
406           $(AWK) '    { files[$$0] = 1; } \
407                END { for (i in files) print i; }'`; \
408         test -z "$(CTAGS_ARGS)$$tags$$unique" \
409           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
410              $$tags $$unique
411
412 GTAGS:
413         here=`$(am__cd) $(top_builddir) && pwd` \
414           && cd $(top_srcdir) \
415           && gtags -i $(GTAGS_ARGS) $$here
416
417 distclean-tags:
418         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
419
420 distdir: $(DISTFILES)
421         $(am__remove_distdir)
422         test -d $(distdir) || mkdir $(distdir)
423         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
424         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
425         list='$(DISTFILES)'; \
426           dist_files=`for file in $$list; do echo $$file; done | \
427           sed -e "s|^$$srcdirstrip/||;t" \
428               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
429         case $$dist_files in \
430           */*) $(MKDIR_P) `echo "$$dist_files" | \
431                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
432                            sort -u` ;; \
433         esac; \
434         for file in $$dist_files; do \
435           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
436           if test -d $$d/$$file; then \
437             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
438             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
439               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
440             fi; \
441             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
442           else \
443             test -f $(distdir)/$$file \
444             || cp -p $$d/$$file $(distdir)/$$file \
445             || exit 1; \
446           fi; \
447         done
448         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449           if test "$$subdir" = .; then :; else \
450             test -d "$(distdir)/$$subdir" \
451             || $(MKDIR_P) "$(distdir)/$$subdir" \
452             || exit 1; \
453             distdir=`$(am__cd) $(distdir) && pwd`; \
454             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
455             (cd $$subdir && \
456               $(MAKE) $(AM_MAKEFLAGS) \
457                 top_distdir="$$top_distdir" \
458                 distdir="$$distdir/$$subdir" \
459                 am__remove_distdir=: \
460                 am__skip_length_check=: \
461                 distdir) \
462               || exit 1; \
463           fi; \
464         done
465         $(MAKE) $(AM_MAKEFLAGS) \
466           top_distdir="$(top_distdir)" distdir="$(distdir)" \
467           dist-hook
468         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
469           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
470           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
471           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
472         || chmod -R a+r $(distdir)
473 dist-gzip: distdir
474         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
475         $(am__remove_distdir)
476
477 dist-bzip2: distdir
478         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
479         $(am__remove_distdir)
480
481 dist-tarZ: distdir
482         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
483         $(am__remove_distdir)
484
485 dist-shar: distdir
486         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
487         $(am__remove_distdir)
488
489 dist-zip: distdir
490         -rm -f $(distdir).zip
491         zip -rq $(distdir).zip $(distdir)
492         $(am__remove_distdir)
493
494 dist dist-all: distdir
495         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
496         $(am__remove_distdir)
497
498 # This target untars the dist file and tries a VPATH configuration.  Then
499 # it guarantees that the distribution is self-contained by making another
500 # tarfile.
501 distcheck: dist
502         case '$(DIST_ARCHIVES)' in \
503         *.tar.gz*) \
504           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
505         *.tar.bz2*) \
506           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
507         *.tar.Z*) \
508           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
509         *.shar.gz*) \
510           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
511         *.zip*) \
512           unzip $(distdir).zip ;;\
513         esac
514         chmod -R a-w $(distdir); chmod a+w $(distdir)
515         mkdir $(distdir)/_build
516         mkdir $(distdir)/_inst
517         chmod a-w $(distdir)
518         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
519           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
520           && cd $(distdir)/_build \
521           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
522             $(DISTCHECK_CONFIGURE_FLAGS) \
523           && $(MAKE) $(AM_MAKEFLAGS) \
524           && $(MAKE) $(AM_MAKEFLAGS) dvi \
525           && $(MAKE) $(AM_MAKEFLAGS) check \
526           && $(MAKE) $(AM_MAKEFLAGS) install \
527           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
528           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
529           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
530                 distuninstallcheck \
531           && chmod -R a-w "$$dc_install_base" \
532           && ({ \
533                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
534                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
535                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
536                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
537                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
538               } || { rm -rf "$$dc_destdir"; exit 1; }) \
539           && rm -rf "$$dc_destdir" \
540           && $(MAKE) $(AM_MAKEFLAGS) dist \
541           && rm -rf $(DIST_ARCHIVES) \
542           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
543         $(am__remove_distdir)
544         @(echo "$(distdir) archives ready for distribution: "; \
545           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
546           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
547 distuninstallcheck:
548         @cd $(distuninstallcheck_dir) \
549         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
550            || { echo "ERROR: files left after uninstall:" ; \
551                 if test -n "$(DESTDIR)"; then \
552                   echo "  (check DESTDIR support)"; \
553                 fi ; \
554                 $(distuninstallcheck_listfiles) ; \
555                 exit 1; } >&2
556 distcleancheck: distclean
557         @if test '$(srcdir)' = . ; then \
558           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
559           exit 1 ; \
560         fi
561         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
562           || { echo "ERROR: files left in build directory after distclean:" ; \
563                $(distcleancheck_listfiles) ; \
564                exit 1; } >&2
565 check-am: all-am
566 check: check-recursive
567 all-am: Makefile config.h all-local
568 installdirs: installdirs-recursive
569 installdirs-am:
570 install: install-recursive
571 install-exec: install-exec-recursive
572 install-data: install-data-recursive
573 uninstall: uninstall-recursive
574
575 install-am: all-am
576         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
577
578 installcheck: installcheck-recursive
579 install-strip:
580         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
581           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
582           `test -z '$(STRIP)' || \
583             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
584 mostlyclean-generic:
585
586 clean-generic:
587
588 distclean-generic:
589         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
590
591 maintainer-clean-generic:
592         @echo "This command is intended for maintainers to use"
593         @echo "it deletes files that may require special tools to rebuild."
594 clean: clean-recursive
595
596 clean-am: clean-generic clean-libtool mostlyclean-am
597
598 distclean: distclean-recursive
599         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
600         -rm -f Makefile
601 distclean-am: clean-am distclean-generic distclean-hdr \
602         distclean-libtool distclean-tags
603
604 dvi: dvi-recursive
605
606 dvi-am:
607
608 html: html-recursive
609
610 info: info-recursive
611
612 info-am:
613
614 install-data-am:
615
616 install-dvi: install-dvi-recursive
617
618 install-exec-am:
619
620 install-html: install-html-recursive
621
622 install-info: install-info-recursive
623
624 install-man:
625
626 install-pdf: install-pdf-recursive
627
628 install-ps: install-ps-recursive
629
630 installcheck-am:
631
632 maintainer-clean: maintainer-clean-recursive
633         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
634         -rm -rf $(top_srcdir)/autom4te.cache
635         -rm -f Makefile
636 maintainer-clean-am: distclean-am maintainer-clean-generic
637
638 mostlyclean: mostlyclean-recursive
639
640 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
641
642 pdf: pdf-recursive
643
644 pdf-am:
645
646 ps: ps-recursive
647
648 ps-am:
649
650 uninstall-am:
651
652 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
653         install-strip
654
655 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
656         all all-am all-local am--refresh check check-am clean \
657         clean-generic clean-libtool ctags ctags-recursive dist \
658         dist-all dist-bzip2 dist-gzip dist-hook dist-shar dist-tarZ \
659         dist-zip distcheck distclean distclean-generic distclean-hdr \
660         distclean-libtool distclean-tags distcleancheck distdir \
661         distuninstallcheck dvi dvi-am html html-am info info-am \
662         install install-am install-data install-data-am install-dvi \
663         install-dvi-am install-exec install-exec-am install-html \
664         install-html-am install-info install-info-am install-man \
665         install-pdf install-pdf-am install-ps install-ps-am \
666         install-strip installcheck installcheck-am installdirs \
667         installdirs-am maintainer-clean maintainer-clean-generic \
668         mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
669         ps ps-am tags tags-recursive uninstall uninstall-am
670
671
672 all-local:
673         @echo "*** Everything completed ***"
674
675 dist-hook:
676         @echo; echo; \
677         echo "**********************************************************"; \
678         echo "* IMPORTANT NOTICE:                                      *"; \
679         echo "*                                                        *"; \
680         echo "* Be sure you have done a complete build before running  *"; \
681         echo "* 'make dist' or 'make distcheck', because otherwise     *"; \
682         echo "* the tarball will _not_ contain the dependency rules    *"; \
683         echo "* generated by the compiler.                             *"; \
684         echo "**********************************************************"; \
685         echo; echo
686
687 # This doesn't work very well in a $(srcdir) != $(builddir) setup,
688 # but this target is for maintainer use only anyway.
689
690 glibmm-docs.tar.gz:
691         find examples -name '*.cc' -o -name '*.h' -o -name '*.xpm' -o -name '*.xml' | \
692         tar cf - --files-from - $(doc_tarball_files) | gzip -c --best >$@
693
694 # Upload documentation and examples:
695
696 post-html-recursive:
697         list='docs examples'; for subdir in $$list; do \
698           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) post-html); \
699         done
700
701 post-html-local: glibmm-docs.tar.gz
702         rsync $(rsync_args) glibmm-docs.tar.gz $$USER@$(web_host):$(web_path_gtkmm)
703
704 post-html: post-html-recursive post-html-local
705
706 doc-clean-recursive:
707         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-clean)
708
709 doc-clean: doc-clean-recursive
710
711 doc-rebuild:
712         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-rebuild)
713
714 .PHONY: post-html post-html-local post-html-recursive doc-clean doc-clean-recursive doc-rebuild
715 # Tell versions [3.59,3.63) of GNU make to not export all variables.
716 # Otherwise a system limit (for SysV at least) may be exceeded.
717 .NOEXPORT: